import 'package:flutter/material.dart';

/// Description: 注册
/// Time       : 04/28/2023 Friday
/// Author     : liuyuqi.gov@msn.cn
class RegisterPage extends StatefulWidget {
  const RegisterPage({super.key});

  @override
  State<RegisterPage> createState() => _RegisterPageState();
}

class _RegisterPageState extends State<RegisterPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Stack(
      children: [
        Image.asset("assets/images/bg.png"),
        Column(
          children: [
            Text("用户名："),
            TextField(),
            Text("密码："),
            TextField(),
            Text("确认密码："),
            TextField(),
            Text("建议填写以下信息，用于找回密码", style: TextStyle(color: Colors.yellow)),
            Text("邮箱："),
            TextField(),
            TextButton(onPressed: register, child: Text("注册")),
            TextButton(onPressed: back, child: Text("返回")),
          ],
        )
      ],
    ));
  }

  void register() {
    Navigator.pushNamed(context, "/login");
  }

  void back() {
    Navigator.pushNamed(context, "/login");
  }
}
